/**
 * The properties without the "downloading" prefix represent progress of core operations like writing to the file system and can be used to display overall progress, such as a progress bar or percentage of task completion. The properties prefixed with "downloading" specifically track the downloading process, allowing for metrics like download speed to be displayed independently of the core operations.
 */
export interface AppBranchDataTaskProgressBase {
    processedBytesCount: number;
    processedBytesCountPerSecond: number;
    totalBytesCount: number;
    downloadingProcessedBytesCount: number;
    downloadingProcessedBytesCountPerSecond: number;
    downloadingTotalBytesCount: number;
}
//# sourceMappingURL=app-branch-data-task-progress-base.d.ts.map